<resources>
    <style name="AppTheme" parent="Theme.AppCompat.Light.NoActionBar">
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
    </style>
    <style name="notification_layout">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">0dp</item>
        <item name="android:layout_weight">1</item>
    </style>

    <style name="notification_button">
        <item name="android:layout_width">0dp</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:layout_weight">1</item>
    </style>

    <style name="VATheme" parent="@style/Theme.AppCompat.NoActionBar">
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowDisablePreview">true</item>
    </style>


    <style name="WindowBackgroundTheme" parent="VATheme">
        <item name="android:windowIsTranslucent">true</item>
        <item name="android:windowAnimationStyle">@style/notAnimation</item>
    </style>

    <style name="notAnimation">
        <item name="android:activityOpenEnterAnimation">@null</item>
        <item name="android:activityOpenExitAnimation">@null</item>
        <item name="android:activityCloseEnterAnimation">@null</item>
        <item name="android:activityCloseExitAnimation">@null</item>
        <item name="android:taskOpenEnterAnimation">@null</item>
        <item name="android:taskOpenExitAnimation">@null</item>
        <item name="android:taskCloseEnterAnimation">@null</item>
        <item name="android:taskCloseExitAnimation">@null</item>
        <item name="android:taskToFrontEnterAnimation">@null</item>
        <item name="android:taskToFrontExitAnimation">@null</item>
        <item name="android:taskToBackEnterAnimation">@null</item>
        <item name="android:taskToBackExitAnimation">@null</item>
    </style>

    <style name="VAAlertTheme" parent="Theme.AppCompat">
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowBackground">@android:color/transparent</item>
    </style>

    <style name="SmoothProgressBarDefaults" parent="android:Theme">
        <item name="spbStyle">@style/SmoothProgressBar</item>
    </style>

    <style name="SPB" parent="android:Widget.Material.Light.ProgressBar.Horizontal"></style>

    <style name="SmoothProgressBar" parent="SPB">
        <item name="spb_color">@color/spb_default_color</item>
        <item name="spb_sections_count">@integer/spb_default_sections_count</item>
        <item name="spb_speed">@string/spb_default_speed</item>
        <item name="spb_stroke_width">@dimen/spb_default_stroke_width</item>
        <item name="spb_stroke_separator_length">@dimen/spb_default_stroke_separator_length</item>
        <item name="spb_reversed">@bool/spb_default_reversed</item>
        <item name="spb_mirror_mode">@bool/spb_default_mirror_mode</item>
        <item name="spb_interpolator">@integer/spb_default_interpolator</item>
    </style>
    <style name="LoadingSmoothProgress" parent="SmoothProgressBar">
        <item name="spb_stroke_separator_length">12dp</item>
        <item name="spb_sections_count">3</item>
        <item name="spb_speed">1.5</item>
        <item name="spb_interpolator">spb_interpolator_linear</item>
        <item name="spb_colors">@array/smooth_progress_colors</item>
    </style>

    <declare-styleable name="LoopProgressBar">
        <attr name="lineColor" format="color" />
        <attr name="space" format="dimension" />
        <attr name="lineWidth" format="dimension" />
    </declare-styleable>

    <style name="TransparentTheme" parent="@style/AppTheme">
        <item name="android:windowNoTitle">true</item>
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowIsTranslucent">true</item>
        <item name="android:windowAnimationStyle">@style/NoAnimation</item>
    </style>
    <style name="NoAnimation">
        <item name="android:activityOpenEnterAnimation">@null</item>
        <item name="android:activityOpenExitAnimation">@null</item>
        <item name="android:activityCloseEnterAnimation">@null</item>
        <item name="android:activityCloseExitAnimation">@null</item>
        <item name="android:taskOpenEnterAnimation">@null</item>
        <item name="android:taskOpenExitAnimation">@null</item>
        <item name="android:taskCloseEnterAnimation">@null</item>
        <item name="android:taskCloseExitAnimation">@null</item>
        <item name="android:taskToFrontEnterAnimation">@null</item>
        <item name="android:taskToFrontExitAnimation">@null</item>
        <item name="android:taskToBackEnterAnimation">@null</item>
        <item name="android:taskToBackExitAnimation">@null</item>
    </style>
</resources>
